<template>
<div id="app">
    <div id="nav">
      <router-link to="/"><img src="@/assets/home.jpg"/></router-link> 
      <router-link to="/weather"><img src="@/assets/weather.jpg"/></router-link>
      <router-link to="/planting"><img src="@/assets/planting.jpg"/></router-link>
      <router-link to="/harvest"><img src="@/assets/harvest.jpg"/></router-link>
      <router-link to="/tips"><img src="@/assets/tips.jpg"/></router-link>
    </div>
    <router-view/>
</div>
</template>

<script>

export default {
  name: 'App',
  components: {

  },
  methods: {
    created() {
  if (this.$workbox) {
    this.$workbox.addEventListener("waiting", () => {
      this.showUpdateUI = true;
    });
  }
}
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 0px;
  border-bottom: 2px solid #796a43;
  margin: 5px 100px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
  padding: 10px 40px;
}

#nav img {
  height: 120px;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
